Is pysl not working on 3.0? , seems to be crashing after launch.

Been using pysl just to block sms popups, is there an alternative?